RT_SIGRETURN(2)

NAME
rt_sigreturn - Return from a signal handler and clean up the stack frame

SYNOPSIS

int sys_rt_sigreturn (unsigned long __unused); xSeries

int sys_rt_sigreturn (int r3, int r4, int r5, int r6, int r7, int r8, struct pt_regs *regs); pSeries

long sys_rt_sigreturn (struct pt_regs regs); Opteron, zSeries

DESCRIPTION

rt_sigreturn returns from a signal handler and cleans up the stack frame. The int r# values for pSeries are place holders and do not carry any value in the code itself. In some architectures, the struct pt_regs regs is used to indicate interrupts.

RETURN VALUE

rt_sigreturn returns old context.

ERRORS

None.

SEE ALSO

rt_sigaction(2), rt_sigpending(2), rt_sigprocmask(2), rt_sigqueue(2), rt_sigsuspend(2), rt_sigtimedwait(2)

AUTHOR
Niki Rahimi